//-------------------- NEC CARDS -----------------------

// LINEAR WIRE
function wire = GW(tag, seg, x1, y1, z1, x2, y2, z2, radius)
    wire = 'GW ' + string(tag) + ' ' + string(seg) + ' ' ...
           + string(x1) + ' ' + string(y1) + ' ' + string(z1) + ' ' ...
           + string(x2) + ' ' + string(y2) + ' ' + string(z2) + ' ' ...
           + string(radius);
endfunction

// HELIX
function wire = GH(tag, seg, Spacing, Length, R, R, R, R, radius)
    wire = 'GH ' + string(tag) + ' ' + string(seg) + ' ' ...
           + string(Spacing) + ' ' + string(Length) + ' ' + string(R) + ' ' ...
           + string(R) + ' ' + string(R) + ' ' + string(R) + ' ' ...
           + string(radius);
endfunction

// COORDINATE TRANSFORMATION
function wire = GM(N, rotX, rotY, rotZ, DX, DY, DZ)
    wire = 'GM' + ' 0 ' + string(N) + ' ' + string(rotX) + ' ' ...
           + string(rotY) + ' ' + string(rotZ) + ' ' + string(DX) + ' ' ...
           + string(DY) + ' ' + string(DZ) + ' 0';
endfunction

// EXCITATION
function source = EX(tp, wire, seg, r, i)
    source = 'EX ' + string(tp) + ' ' + string(wire) + ' ' ...
           + string(seg) + ' 0 ' + string(r) + ' ' + string(i);
endfunction

// FREQUENCIES
function frequency = FR(tp, num, freq0, Df)
    frequency = 'FR ' + string(tp) + ' ' + string(num) + ' 0 0 ' ...
                + string(freq0) + ' ' + string(Df);
endfunction

// GROUND CONNECTIONS
function ground = GE(tp)
    ground = 'GE ' + string(tp);
endfunction

// REAL GROUND
function ground = GN(tp, Screen, Epsilon, Sigma, RadialLength, RadialRadius)
    ground = 'GN ' + string(tp) + ' ' + string(Screen) + ' 0 0 ' ...
             + string(Epsilon) + ' ' + string(Sigma) + ' ' ...
             + string(RadialLength) + ' ' + string(RadialRadius);
endfunction

// EXACT KERNEL
function ker = EK()
    ker = 'EK';
endfunction
